Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make a Label from scratch.
        Dim lbl As New Label
        lbl.SetBounds(10, 50, 100, 25)
        lbl.Text = "Hello World!"
        Me.Controls.Add(lbl)
    End Sub

#Region "MakeWithEventsButton"
    ' Declare the btnHi button WithEvents.
    Private WithEvents btnHi As Button

    ' Make the new btnHi button.
    Private Sub btnMakeHiButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeHiButton.Click
        btnHi = New Button
        btnHi.SetBounds(96, 50, 75, 23)
        btnHi.Text = "Say Hi"
        Me.Controls.Add(btnHi)
    End Sub

    ' The user clicked the btnHi button.
    Private Sub btnHi_Click(ByVal sender As Object, _
    ByVal e As System.EventArgs) Handles btnHi.Click
        MessageBox.Show("Hi")
    End Sub

    Private Sub btnRemoveHiButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemoveHiButton.Click
        Me.Controls.Remove(btnHi)
        btnHi = Nothing
    End Sub
#End Region ' MakeWithEventsButton

#Region "MakeAddHandlerButton"
    ' Make a new Hello button.
    Private Sub btnMakeHelloButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeHelloButton.Click
        ' Make the button.
        Dim btnHello As New Button
        btnHello.SetBounds(184, 50, 75, 23)
        btnHello.Text = "Say Hello"
        Me.Controls.Add(btnHello)
        ' Add a Click event handler to the button.
        AddHandler btnHello.Click, AddressOf Hello_Click
    End Sub
    ' The user clicked the Hello button.
    Private Sub Hello_Click(ByVal sender As System.Object, _
    ByVal e As System.EventArgs)
        MessageBox.Show("Hello")
    End Sub
#End Region ' MakeAddHandlerButton

End Class
