Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'IndexesOf()
        'Reverse()
        'SortPeople()
        'SortManagers()
        BinarySearch()

        Me.Close()
    End Sub

    Private Sub IndexesOf()
        Dim values(10) As Integer
        For i As Integer = 0 To 10
            values(i) = i
        Next i

        'Dim values As Array = _
        '    Array.CreateInstance(GetType(Integer), 11)
        'For i As Integer = 0 To 10
        '    values.SetValue(i, i)
        'Next i

        MessageBox.Show(Array.IndexOf(values, 6).ToString)
        MessageBox.Show(Array.LastIndexOf(values, 3).ToString)
    End Sub

    Private Sub Reverse()
        Dim values(10) As Integer
        For i As Integer = 0 To 10
            values(i) = i
        Next i

        Array.Reverse(values)

        Dim txt As String = ""
        For i As Integer = 0 To 10
            txt &= values(i) & " "
        Next i
        MessageBox.Show(txt)
    End Sub

    Private Sub SortPeople()
        ' Make the array of Person objects.
        Dim people(4) As Person
        people(0) = New Person("Rod", "Stephens")
        people(1) = New Person("Sergio", "Aragones")
        people(2) = New Person("Terry", "Pratchett")
        people(3) = New Person("Homer", "Simpson")
        people(4) = New Person("Eoin", "Colfer")

        ' Sort.
        Array.Sort(people)

        ' Display the results.
        Dim txt As String = ""
        For i As Integer = 0 To people.GetUpperBound(0)
            txt &= people(i).ToString() & vbCrLf
        Next i
        MessageBox.Show(txt)
    End Sub

    Private Sub SortManagers()
        ' Make the array of Manager objects.
        Dim managers(4) As Manager
        managers(0) = New Manager("Rod", "Stephens")
        managers(1) = New Manager("Sergio", "Aragones")
        managers(2) = New Manager("Terry", "Pratchett")
        managers(3) = New Manager("Homer", "Simpson")
        managers(4) = New Manager("Eoin", "Colfer")

        ' Make a comparer.
        Dim manager_comparer As New ManagerComparer

        ' Sort.
        Array.Sort(managers, manager_comparer)

        ' Display the results.
        Dim txt As String = ""
        For i As Integer = 0 To managers.GetUpperBound(0)
            txt &= managers(i).ToString() & vbCrLf
        Next i
        MessageBox.Show(txt)
    End Sub

    Private Sub BinarySearch()
        ' Make the array of Person objects.
        Dim people(4) As Person
        people(0) = New Person("Rod", "Stephens")
        people(1) = New Person("Sergio", "Aragones")
        people(2) = New Person("Terry", "Pratchett")
        people(3) = New Person("Homer", "Simpson")
        people(4) = New Person("Eoin", "Colfer")

        ' Sort the array.
        Array.Sort(people)

        ' Find Rod Stephens.
        Dim target_person As New Person("Rod", "Stephens")
        Dim target_index As Integer = Array.BinarySearch(people, target_person)
        target_person = people(target_index)
        MessageBox.Show(target_person.ToString)
    End Sub
End Class

Public Class Person
    Implements IComparable

    Public FirstName As String
    Public LastName As String

    Public Sub New(ByVal first_name As String, ByVal last_name As String)
        FirstName = first_name
        LastName = last_name
    End Sub

    Public Overrides Function ToString() As String
        Return LastName & ", " & FirstName
    End Function

    Public Function CompareTo(ByVal obj As Object) As Integer _
     Implements System.IComparable.CompareTo
        Dim other_Person As Person = DirectCast(obj, Person)
        Return String.Compare(Me.ToString, other_Person.ToString)
    End Function
End Class

Public Class Manager
    Public FirstName As String
    Public LastName As String

    Public Sub New(ByVal first_name As String, ByVal last_name As String)
        FirstName = first_name
        LastName = last_name
    End Sub

    Public Overrides Function ToString() As String
        Return LastName & ", " & FirstName
    End Function
End Class

Public Class ManagerComparer
    Implements IComparer

    Public Function Compare(ByVal x As Object, ByVal y As Object) As Integer _
     Implements System.Collections.IComparer.Compare
        Dim mgr1 As Manager = DirectCast(x, Manager)
        Dim mgr2 As Manager = DirectCast(y, Manager)

        Return String.Compare(mgr1.ToString, mgr2.ToString)
    End Function
End Class
