Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        ' Scale by a factor of 30.
        e.Graphics.ScaleTransform(30, 30, MatrixOrder.Append)
        DrawArrow(e.Graphics, HatchStyle.Horizontal)

        ' Translate 150 horizontally and 60 vertically.
        e.Graphics.TranslateTransform(150, 60, MatrixOrder.Append)
        DrawArrow(e.Graphics, HatchStyle.Vertical)

        ' Rotate 30 degrees.
        e.Graphics.RotateTransform(30, MatrixOrder.Append)
        DrawArrow(e.Graphics, HatchStyle.Cross)
    End Sub

    ' Draw an arrow outline.
    Private Sub DrawArrow(ByVal gr As Graphics, ByVal hatch_style As HatchStyle)
        Dim pts() As Point = { _
            New Point(0, 1), _
            New Point(2, 1), _
            New Point(2, 0), _
            New Point(4, 2), _
            New Point(2, 4), _
            New Point(2, 3), _
            New Point(0, 3) _
        }
        gr.FillPolygon(New HatchBrush(hatch_style, Color.Black, Color.White), pts)
        gr.DrawPolygon(New Pen(Color.Black, 0), pts)
    End Sub
End Class
