Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        DrawSamples(e.Graphics)
    End Sub
    Private Sub Form1_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Resize
        DrawSamples(Me.CreateGraphics)
    End Sub
    Private Sub DrawSamples(ByVal gr As Graphics)
        Dim x As Integer = 10
        Dim y As Integer = 20

        gr.Clear(Me.BackColor)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.BackwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Cross)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DarkDownwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DarkHorizontal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DarkUpwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DarkVertical)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DashedDownwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DashedHorizontal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DashedUpwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DashedVertical)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DiagonalBrick)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DiagonalCross)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Divot)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DottedDiamond)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.DottedGrid)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.ForwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Horizontal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.HorizontalBrick)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LargeCheckerBoard)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LargeConfetti)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LargeGrid)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LightDownwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LightHorizontal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LightUpwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.LightVertical)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.NarrowHorizontal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.NarrowVertical)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.OutlinedDiamond)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent05)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent10)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent20)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent25)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent30)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent40)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent50)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent60)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent70)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent75)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent80)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Percent90)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Plaid)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Shingle)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.SmallCheckerBoard)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.SmallConfetti)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.SmallGrid)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.SolidDiamond)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Sphere)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Trellis)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Vertical)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Wave)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.Weave)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.WideDownwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.WideUpwardDiagonal)
        DrawSample(gr, x, y, Drawing2D.HatchStyle.ZigZag)
    End Sub

    Private Sub DrawSample(ByVal gr As Graphics, ByRef x As Integer, ByRef y As Integer, ByVal hatch_style As Drawing2D.HatchStyle)
        gr.DrawString(hatch_style.ToString, Me.Font, Brushes.Black, x, y)
        Dim the_brush As New Drawing2D.HatchBrush(hatch_style, Color.Black, Color.White)
        gr.FillRectangle(the_brush, x, y + 15, 100, 20)

        y += 40
        If y + 40 > Me.ClientRectangle.Height Then
            x += 150
            y = 20
        End If
    End Sub
End Class
