Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ResizeRedraw = True
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        ' Define the font, layout rectangle, and StringFormat.
        Dim the_font As New Font("Times New Roman", 15, FontStyle.Regular, GraphicsUnit.Pixel)
        Dim layout_rect As New RectangleF(10, 10, _
            Me.ClientSize.Width - 20, Me.ClientSize.Height - 20)
        Dim string_format As New StringFormat

        ' Set the tab stops.
        Dim tab_stops() As Single = {60, 80}
        string_format.SetTabStops(0, tab_stops)

        ' Draw the layout rectangle and tab stops.
        e.Graphics.DrawRectangle(Pens.White, Rectangle.Round(layout_rect))
        Dim x As Single = layout_rect.X
        For i As Integer = 0 To tab_stops.Length - 1
            x += tab_stops(i)
            e.Graphics.DrawLine(Pens.White, x, layout_rect.Top, x, layout_rect.Bottom)
        Next i

        ' Generate some random values.
        Dim rnd As New Random
        Dim txt As String = "Alpha" & vbTab & "Gamma" & vbTab & "Value" & vbCrLf
        For r As Integer = 1 To 10
            txt &= rnd.Next(10, 99) & vbTab & _
                rnd.NextDouble.ToString("0.000000") & vbTab & _
                rnd.NextDouble.ToString("0.00") & vbCrLf
        Next r

        ' Draw the text.
        e.Graphics.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAliasGridFit
        e.Graphics.DrawString(txt, the_font, Brushes.Black, layout_rect, string_format)
    End Sub
End Class
