Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make the tree and its root.
        Dim family_tree As New Tree(Of Person)
        Dim root As TreeNode(Of Person) = _
            family_tree.MakeRoot(New Person("Me"))

        ' Make the parent generation.
        Dim child1 As TreeNode(Of Person) = _
            root.AddChild(New Person("Child 1"))
        Dim child2 As TreeNode(Of Person) = _
            root.AddChild(New Person("Child 2"))

        ' Make the grandparent generations.
        child1.AddChild(New Person("Grandchild 1"))
        child1.AddChild(New Person("Grandchild 2"))
        child2.AddChild(New Person("Grandchild 3"))
        child2.AddChild(New Person("Grandchild 4"))

        ' Display the result.
        txtTree.Text = family_tree.ToString()
        txtTree.Select(0, 0)
    End Sub
End Class

Public Class Person
    Public Name As String
    Public Sub New(ByVal new_name As String)
        Name = new_name
    End Sub
    Public Overrides Function ToString() As String
        Return Name
    End Function
End Class
