Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, _
     ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        ' Define the curve's control points.
        Dim pts() As Point = { _
            New Point(10, 50), _
            New Point(200, 30), _
            New Point(20, 200), _
            New Point(200, 150), _
            New Point(250, 50), _
            New Point(250, 200), _
            New Point(100, 250) _
        }

        ' Draw the closed curve.
        e.Graphics.SmoothingMode = Drawing2D.SmoothingMode.HighQuality

        'Dim curve_pen As New Pen(Color.Black, 3)
        'e.Graphics.DrawClosedCurve(curve_pen, pts)

        For tension As Single = 0 To 1 Step 0.25
            Dim curve_pen As New Pen(Color.Black, tension * 4 + 1)
            e.Graphics.DrawClosedCurve(curve_pen, pts, tension, _
                Drawing2D.FillMode.Alternate)
        Next tension

        ' Draw rectangles on the control points.
        For i As Integer = 0 To pts.Length - 1
            e.Graphics.FillRectangle(Brushes.White, pts(i).X - 2, pts(i).Y - 2, 5, 5)
            e.Graphics.DrawRectangle(Pens.Black, pts(i).X - 2, pts(i).Y - 2, 5, 5)
        Next i
    End Sub
End Class
