Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        ' Draw a smiley face.
        Dim bm As New Bitmap(101, 101)
        Dim gr As Graphics = Graphics.FromImage(bm)
        gr.FillEllipse(Brushes.Yellow, 0, 0, 99, 99)    ' Face.
        gr.DrawEllipse(Pens.Black, 0, 0, 99, 99)
        gr.DrawArc(Pens.Black, 20, 20, 60, 60, 0, 180)  ' Smile.
        gr.FillEllipse(Brushes.Black, 40, 40, 20, 25)   ' Nose
        gr.FillEllipse(Brushes.White, 25, 15, 20, 25)   ' Left eye.
        gr.DrawEllipse(Pens.Black, 25, 15, 20, 25)
        gr.FillEllipse(Brushes.Black, 35, 20, 10, 15)
        gr.FillEllipse(Brushes.White, 55, 15, 20, 25)   ' Right eye.
        gr.DrawEllipse(Pens.Black, 55, 15, 20, 25)
        gr.FillEllipse(Brushes.Black, 65, 20, 10, 15)

        ' Display at full scale.
        e.Graphics.DrawImage(bm, 10, 10)

        ' Display at reduced scales.
        Dim x As Integer = 10
        Dim y As Integer = 120
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.Default, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.Low, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.High, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.Bilinear, x, y)
        x = 10
        y += 100

        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.Bicubic, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.NearestNeighbor, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.HighQualityBilinear, x, y)
        DrawSample(e.Graphics, bm, Drawing2D.InterpolationMode.HighQualityBicubic, x, y)
    End Sub

    Private Sub DrawSample(ByVal gr As Graphics, ByVal bm As Bitmap, ByVal interpolation_mode As Drawing2D.InterpolationMode, ByRef x As Integer, ByVal y As Integer)
        gr.DrawString(interpolation_mode.ToString, Me.Font, Brushes.Black, x, y)
        gr.InterpolationMode = interpolation_mode
        gr.DrawImage(bm, x, y + 20, 50, 50)

        gr.InterpolationMode = interpolation_mode
        Dim src_rect As New Rectangle(35, 35, 30, 30)
        Dim dest_rect As New Rectangle(x + 60, y + 20, 50, 50)
        gr.DrawImage(bm, dest_rect, src_rect, GraphicsUnit.Pixel)
        gr.DrawRectangle(Pens.Black, dest_rect)

        x += 120
    End Sub
End Class
