Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ResizeRedraw = True
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        Dim txt As String
        Dim the_font As New Font("Times New Roman", 30, FontStyle.Bold, GraphicsUnit.Pixel)
        Dim layout_rect As RectangleF
        e.Graphics.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAliasGridFit

        layout_rect = New RectangleF(100, 0, 180, 70)
        txt = "ABC\DEF\GHI\JKL\MNO\PQR\STU\VWX\YZ"
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.Character)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisCharacter)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisPath)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisWord)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.None)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.Word)

        layout_rect.X += layout_rect.Width + 10
        layout_rect.Y = 0
        txt = "ABC DEF GHI JKL MNO PQR STU VWX YZ"
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.Character)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisCharacter)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisPath)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.EllipsisWord)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.None)
        DrawSample(e.Graphics, txt, the_font, layout_rect, StringTrimming.Word)

    End Sub

    Private Sub DrawSample(ByVal gr As Graphics, ByVal txt As String, ByVal the_font As Font, ByRef layout_rect As RectangleF, ByVal string_trimming As StringTrimming)
        Dim string_format As New StringFormat
        string_format.Trimming = string_trimming

        gr.DrawString(string_trimming.ToString, Me.Font, Brushes.Black, 0, layout_rect.Y + 5)

        gr.DrawString(txt, the_font, Brushes.Black, layout_rect, string_format)
        gr.DrawRectangle(Pens.Black, Rectangle.Round(layout_rect))
        layout_rect.Y += layout_rect.Height + 10
    End Sub
End Class
