Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ShowAllSettings()
    End Sub

    ' Fetch a setting.
    Private Sub btnGet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGet.Click
        txtSettingValue.Text = GetSetting( _
            Application.ProductName, _
            "Config", _
            txtSettingName.Text, _
            "<Nothing>")
        ShowAllSettings()
    End Sub

    ' Save a setting.
    Private Sub btnSet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSet.Click
        SaveSetting( _
            Application.ProductName, _
            "Config", _
            txtSettingName.Text, _
            txtSettingValue.Text)
        ShowAllSettings()
    End Sub

    ' Display all of the Config registry settings.
    Private Sub ShowAllSettings()
        Dim settings(,) As String = GetAllSettings( _
            Application.ProductName, "Config")
        Dim txt As String = ""
        For i As Integer = 0 To settings.GetUpperBound(0)
            txt &= settings(i, 0) & " = " & settings(i, 1) & vbCrLf
        Next i
        txtAllSettings.Text = txt
        txtAllSettings.Select(0, 0)
    End Sub

    ' Delete a setting.
    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        DeleteSetting(Application.ProductName, _
            "Config", _
            txtSettingName.Text)
        ShowAllSettings()
    End Sub
End Class
