Imports System.IO

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        For Each drive_info As DriveInfo In DriveInfo.GetDrives()
            lstDrives.Items.Add(drive_info.Name)
        Next drive_info
    End Sub

    Private Sub lstDrives_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstDrives.SelectedIndexChanged
        For Each ctl As Control In Me.Controls
            If (ctl.Name.StartsWith("lbl")) AndAlso (TypeOf ctl Is Label) Then
                Dim lbl As Label = DirectCast(ctl, Label)
                lbl.Text = ""
            End If
        Next ctl

        Dim drive_info As New DriveInfo(lstDrives.Text)
        lblName.Text = drive_info.Name()
        lblIsReady.Text = drive_info.IsReady().ToString
        lblDriveType.Text = drive_info.DriveType().ToString
        lblRootDirectory.Text = drive_info.RootDirectory.ToString
        If drive_info.IsReady() Then
            lblName.Text = drive_info.AvailableFreeSpace().ToString
            lblDriveFormat.Text = drive_info.DriveFormat()
            lblTotalFreeSpace.Text = drive_info.TotalFreeSpace().ToString
            lblVolumeLabel.Text = drive_info.VolumeLabel()
        End If
    End Sub
End Class
